import request from '@/utils/request'

// 模板初审获取审核条件
export function getReviewConditions(params) {
  return request({
    url: '/salesContract/firstTemplate/approval',
    method: 'get',
    params
  })
}

// 模板初审提交
export function firstTemplateApprovalDoAdd(data) {
  return request({
    url: '/salesContract/firstTemplate/doApproval',
    method: 'post',
    data
  })
}

// 模板复审提交
export function againTemplateApprovalDoAdd(data) {
  return request({
    url: '/salesContract/againTemplate/doApproval',
    method: 'post',
    data
  })
}

// 合同审核详情
export function approvalDetail(params) {
  return request({
    url: '/salesContract/approvalDetail',
    method: 'get',
    params
  })
}

// 合同审核提交
export function salesContractApprovalDoAudit(data) {
  return request({
    url: '/salesContract/approval/doAudit',
    method: 'post',
    data
  })
}

// 销售合同录入获取基础信息详情
export function getInformationDeatail(params) {
  return request({
    url: '/salesContractManagement/getProjectBasicInfo',
    method: 'get',
    params
  })
}

// 变更初审提交
export function salesContractChangeFirstTemplateDoApproval(data) {
  return request({
    url: '/salesContract/change/firstTemplate/doApproval',
    method: 'post',
    data
  })
}

// 变更合同审核详情
export function salesContractChangeApproval(params) {
  return request({
    url: '/salesContract/change/approval',
    method: 'get',
    params
  })
}

// 变更复审提交
export function salesContractChangeTemplateApproval(data) {
  return request({
    url: '/salesContract/change/templateApproval',
    method: 'post',
    data
  })
}

// 变更审核提交
export function salesContractChangeDoAudit(data) {
  return request({
    url: '/salesContract/change/doAudit',
    method: 'post',
    data
  })
}

// 签署审核详情
export function salesContractSignApproval(params) {
  return request({
    url: '/salesContract/sign/approval',
    method: 'get',
    params
  })
}

// 签署审核提交
export function salesContractDoApproval(data) {
  return request({
    url: '/salesContract/doApproval',
    method: 'post',
    data
  })
}

// 变更签署审核详情
export function salesContractChangeSignApproval(params) {
  return request({
    url: '/salesContract/change/sign/approval',
    method: 'get',
    params
  })
}

// 变更签署审核提交
export function salesContractChangeSignDoApproval(data) {
  return request({
    url: '/salesContract/change/sign/doApproval',
    method: 'post',
    data
  })
}
